View Issue Details

IDProjectCategoryView StatusLast Update
0004665gnunet-fusebuild systempublic2018-06-07 23:20
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.10.0 
Target VersionFixed in Version0.11.0pre66 
Summary0004665: gnunet-fuse fails to find gnunet/gnunet_util_lib.h and can't use fuse anymore
DescriptionBuild on recent Guix (package description: https://gitlab.com/packaging-guix/guix/commit/a9cb4256520f9698b74b02a19caf3d39006ac76e )

fuse input: 2.9.6,
gnunet input: 0.10.1.

This combination fails as can be seen in the build log.
Additional Information@ build-succeeded /gnu/store/v237734az0rn0682slgsas0shaag57ck-gnunet-0.10.1.drv -
/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1
retrieving 1 files from '192.168.1.198'...
Cannot open display "default display"
importing file or directory '/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1'...
found valid signature for '/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1'
Cannot open display "default display"
done with offloaded '/gnu/store/v237734az0rn0682slgsas0shaag57ck-gnunet-0.10.1.drv'
@ build-succeeded /gnu/store/v237734az0rn0682slgsas0shaag57ck-gnunet-0.10.1.drv -
process 25326 acquired build slot '/var/guix/offload/192.168.1.198/0'
Cannot open display "default display"
load on machine '192.168.1.198' is 0.55 (normalized: 0.1375)
@ build-started /gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv - x86_64-linux /var/log/guix/drvs/ks//qg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv.bz2
Cannot open display "default display"
Cannot open display "default display"
sending 4 store files to '192.168.1.198'...
Cannot open display "default display"
exporting path `/gnu/store/bvrw6bw5iwp2cmar47svxsrgh5wbs2d2-gnunet-fuse-0.10.0-guile-builder'
exporting path `/gnu/store/v86m0pbfqmqkqd92mg258529yq30c7y2-gnunet-fuse-0.10.0.tar.gz.drv'
exporting path `/gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv'
exporting path `/gnu/store/bjaspcp91h4vw4nph2lz94ac6xi73g01-gnunet-fuse-0.10.0.tar.gz'
offloading '/gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv' to '192.168.1.198'...
@ build-remote /gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv 192.168.1.198
Cannot open display "default display"
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'.substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
The following derivation will be built:
   /gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv
@ build-started /gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv - x86_64-linux /var/log/guix/drvs/ks//qg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv.bz2
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/9z40bkd8q9s8krjkhqysrn262gwsww4p-pkg-config-0.29/bin:/gnu/store/2pdb9h9mdq7qnjj1b9b6k2a2md46idyj-tar-1.29/bin:/gnu/store/54ilw1jcicj7n259cpra59y6gik2mig2-gzip-1.8/bin:/gnu/store/pzk986yikywnql4x393pbhzbiz7vl72n-bzip2-1.0.6/bin:/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/bin:/gnu/store/3nhg61n6p870vj1q654rbxrgsq5zsgsp-file-5.25/bin:/gnu/store/lr2vwc88wck5ra3p969rgk8nnqh111aj-diffutils-3.3/bin:/gnu/store/ni491r4ffm03v0cr70df12lwiq826das-patch-2.7.5/bin:/gnu/store/bzv2l4hx3j74jm49fb7g20900yqjdn22-sed-4.2.2/bin:/gnu/store/53p06lrr734a1xxa770xz9ddan4a2zjq-findutils-4.6.0/bin:/gnu/store/bd4m0d7h247iwwgl7wi3b28prv554gjn-gawk-4.1.3/bin:/gnu/store/dk9hvkwr5s4n22z9pjgcmxrppd08k286-grep-2.25/bin:/gnu/store/lpvkjic9dhj55plc29jhq8l39irvqm4f-coreutils-8.25/bin:/gnu/store/1iiqn2124niw1pvqfwr7wb3lxi28r67q-make-4.2/bin:/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin:/gnu/store/5k8z2aj8ca16nmvwvdsl0mdc3slm14k2-ld-wrapper-0/bin:/gnu/store/z53lxlrp7061vggbnhpxcsmad6lx96p8-binutils-2.25.1/bin:/gnu/store/frrj3bfbmg5vrd0flh9cf8j64h7cr2v4-gcc-4.9.3/bin:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/bin:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/sbin:/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1/bin:/gnu/store/14y3sgppgg360kc49wypkrw3b4ghhy4n-fuse-2.9.6/bin:/gnu/store/14y3sgppgg360kc49wypkrw3b4ghhy4n-fuse-2.9.6/sbin'
environment variable `PKG_CONFIG_PATH' set to `/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/lib/pkgconfig:/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1/lib/pkgconfig:/gnu/store/14y3sgppgg360kc49wypkrw3b4ghhy4n-fuse-2.9.6/lib/pkgconfig'
environment variable `C_INCLUDE_PATH' set to `/gnu/store/pzk986yikywnql4x393pbhzbiz7vl72n-bzip2-1.0.6/include:/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/include:/gnu/store/3nhg61n6p870vj1q654rbxrgsq5zsgsp-file-5.25/include:/gnu/store/bd4m0d7h247iwwgl7wi3b28prv554gjn-gawk-4.1.3/include:/gnu/store/1iiqn2124niw1pvqfwr7wb3lxi28r67q-make-4.2/include:/gnu/store/z53lxlrp7061vggbnhpxcsmad6lx96p8-binutils-2.25.1/include:/gnu/store/frrj3bfbmg5vrd0flh9cf8j64h7cr2v4-gcc-4.9.3/include:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/include:/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1/include:/gnu/store/14y3sgppgg360kc49wypkrw3b4ghhy4n-fuse-2.9.6/include:/gnu/store/k3nwrfrgkg1bafhqi9w8inh2rr8njb1b-linux-libre-headers-4.1.18/include'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/pzk986yikywnql4x393pbhzbiz7vl72n-bzip2-1.0.6/include:/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/include:/gnu/store/3nhg61n6p870vj1q654rbxrgsq5zsgsp-file-5.25/include:/gnu/store/bd4m0d7h247iwwgl7wi3b28prv554gjn-gawk-4.1.3/include:/gnu/store/1iiqn2124niw1pvqfwr7wb3lxi28r67q-make-4.2/include:/gnu/store/z53lxlrp7061vggbnhpxcsmad6lx96p8-binutils-2.25.1/include:/gnu/store/frrj3bfbmg5vrd0flh9cf8j64h7cr2v4-gcc-4.9.3/include:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/include:/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1/include:/gnu/store/14y3sgppgg360kc49wypkrw3b4ghhy4n-fuse-2.9.6/include:/gnu/store/k3nwrfrgkg1bafhqi9w8inh2rr8njb1b-linux-libre-headers-4.1.18/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/pzk986yikywnql4x393pbhzbiz7vl72n-bzip2-1.0.6/lib:/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/lib:/gnu/store/3nhg61n6p870vj1q654rbxrgsq5zsgsp-file-5.25/lib:/gnu/store/bd4m0d7h247iwwgl7wi3b28prv554gjn-gawk-4.1.3/lib:/gnu/store/z53lxlrp7061vggbnhpxcsmad6lx96p8-binutils-2.25.1/lib:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/lib:/gnu/store/w74j2phxh04phnspxmjg9hpzpk90054x-glibc-utf8-locales-2.23/lib:/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1/lib:/gnu/store/14y3sgppgg360kc49wypkrw3b4ghhy4n-fuse-2.9.6/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/w74j2phxh04phnspxmjg9hpzpk90054x-glibc-utf8-locales-2.23/lib/locale'
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
gnunet-fuse-0.10.0/
gnunet-fuse-0.10.0/src/
gnunet-fuse-0.10.0/src/fuse/
gnunet-fuse-0.10.0/src/fuse/Makefile.in
gnunet-fuse-0.10.0/src/fuse/gnunet-fuse.c
gnunet-fuse-0.10.0/src/fuse/gnunet-fuse.h
gnunet-fuse-0.10.0/src/fuse/mutex.h
gnunet-fuse-0.10.0/src/fuse/Makefile.am
gnunet-fuse-0.10.0/src/fuse/readdir.c
gnunet-fuse-0.10.0/src/fuse/read.c
gnunet-fuse-0.10.0/src/fuse/gfs_download.c
gnunet-fuse-0.10.0/src/fuse/getattr.c
gnunet-fuse-0.10.0/src/fuse/mutex.c
gnunet-fuse-0.10.0/src/fuse/gfs_download.h
gnunet-fuse-0.10.0/src/fuse/open.c
gnunet-fuse-0.10.0/src/Makefile.in
gnunet-fuse-0.10.0/src/Makefile.am
gnunet-fuse-0.10.0/NEWS
gnunet-fuse-0.10.0/ChangeLog
gnunet-fuse-0.10.0/config.guess
gnunet-fuse-0.10.0/INSTALL
gnunet-fuse-0.10.0/Makefile.in
gnunet-fuse-0.10.0/doc/
gnunet-fuse-0.10.0/doc/Makefile.in
gnunet-fuse-0.10.0/doc/Makefile.am
gnunet-fuse-0.10.0/doc/gnunet-fuse.1
gnunet-fuse-0.10.0/aclocal.m4
gnunet-fuse-0.10.0/Makefile.am
gnunet-fuse-0.10.0/configure
gnunet-fuse-0.10.0/depcomp
gnunet-fuse-0.10.0/gnunet_fuse_config.h.in
gnunet-fuse-0.10.0/AUTHORS
gnunet-fuse-0.10.0/COPYING
gnunet-fuse-0.10.0/m4/
gnunet-fuse-0.10.0/m4/lib-link.m4
gnunet-fuse-0.10.0/m4/pkg.m4
gnunet-fuse-0.10.0/m4/po.m4
gnunet-fuse-0.10.0/m4/iconv.m4
gnunet-fuse-0.10.0/m4/intlmacosx.m4
gnunet-fuse-0.10.0/m4/gettext.m4
gnunet-fuse-0.10.0/m4/progtest.m4
gnunet-fuse-0.10.0/m4/lib-prefix.m4
gnunet-fuse-0.10.0/m4/nls.m4
gnunet-fuse-0.10.0/m4/lib-ld.m4
gnunet-fuse-0.10.0/m4/ac_define_dir.m4
gnunet-fuse-0.10.0/install-sh
gnunet-fuse-0.10.0/configure.ac
gnunet-fuse-0.10.0/config.sub
gnunet-fuse-0.10.0/ABOUT-NLS
gnunet-fuse-0.10.0/README
gnunet-fuse-0.10.0/po/
gnunet-fuse-0.10.0/po/Rules-quot
gnunet-fuse-0.10.0/po/ChangeLog
gnunet-fuse-0.10.0/po/Makefile.in.in
gnunet-fuse-0.10.0/po/en@quot.header
gnunet-fuse-0.10.0/po/en@boldquot.header
gnunet-fuse-0.10.0/po/remove-potcdate.sin
gnunet-fuse-0.10.0/po/gnunet-fuse.pot
gnunet-fuse-0.10.0/po/POTFILES.in
gnunet-fuse-0.10.0/po/Makevars
gnunet-fuse-0.10.0/po/quot.sed
gnunet-fuse-0.10.0/po/insert-header.sin
gnunet-fuse-0.10.0/po/stamp-po
gnunet-fuse-0.10.0/po/boldquot.sed
gnunet-fuse-0.10.0/compile
gnunet-fuse-0.10.0/config.rpath
gnunet-fuse-0.10.0/missing
phase `unpack' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.1 seconds
starting phase `patch-source-shebangs'
patch-shebang: ./compile: changing `/bin/sh' to `/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh'
patch-shebang: ./config.guess: changing `/bin/sh' to `/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh'
patch-shebang: ./config.rpath: changing `/bin/sh' to `/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh'
patch-shebang: ./config.sub: changing `/bin/sh' to `/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh'
patch-shebang: ./configure: changing `/bin/sh' to `/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh'
patch-shebang: ./depcomp: changing `/bin/sh' to `/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh'
patch-shebang: ./install-sh: changing `/bin/sh' to `/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh'
patch-shebang: ./missing: changing `/bin/sh' to `/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `configure'
source directory: "/tmp/guix-build-gnunet-fuse-0.10.0.drv-0/gnunet-fuse-0.10.0" (relative from build: ".")
build directory: "/tmp/guix-build-gnunet-fuse-0.10.0.drv-0/gnunet-fuse-0.10.0"
configure flags: ("CONFIG_SHELL=/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/bash" "SHELL=/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/bash" "--prefix=/gnu/store/qmzklk7jx11cnik0a88lrix4q8p7b69s-gnunet-fuse-0.10.0" "--enable-fast-install" "--build=x86_64-unknown-linux-gnu" "--with-gnunet=/gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1")
configure: WARNING: unrecognized options: --enable-fast-install
checking for a BSD-compatible install... /gnu/store/lpvkjic9dhj55plc29jhq8l39irvqm4f-coreutils-8.25/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /gnu/store/lpvkjic9dhj55plc29jhq8l39irvqm4f-coreutils-8.25/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking for library containing strerror... none required
checking for gawk... (cached) gawk
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking how to run the C preprocessor... gcc -E
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) no
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for grep that handles long lines and -e... /gnu/store/dk9hvkwr5s4n22z9pjgcmxrppd08k286-grep-2.25/bin/grep
checking for egrep... /gnu/store/dk9hvkwr5s4n22z9pjgcmxrppd08k286-grep-2.25/bin/grep -E
checking for ANSI C header files... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for _LARGEFILE_SOURCE value needed for large files... no
checking whether gcc and cc understand -c and -o together... yes
checking whether NLS is requested... yes
checking for msgfmt... no
checking for gmsgfmt... :
checking for xgettext... no
checking for msgmerge... no
checking for ld used by GCC... /gnu/store/5k8z2aj8ca16nmvwvdsl0mdc3slm14k2-ld-wrapper-0/bin/ld
checking if the linker (/gnu/store/5k8z2aj8ca16nmvwvdsl0mdc3slm14k2-ld-wrapper-0/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking stdio.h usability... yes
checking stdio.h presence... yes
checking for stdio.h... yes
checking for unistd.h... (cached) yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for sys/stat.h... (cached) yes
checking for sys/types.h... (cached) yes
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for unistd.h... (cached) yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking argz.h usability... yes
checking argz.h presence... yes
checking for argz.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking fuse.h usability... yes
checking fuse.h presence... no
configure: WARNING: fuse.h: accepted by the compiler, rejected by the preprocessor!
configure: WARNING: fuse.h: proceeding with the compiler's result
checking for fuse.h... yes
checking for GNUnet core... /gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1
checking for GNUnet util library in /gnu/store/57gslckgdqi65gdi27h87xq1lp621xvc-gnunet-0.10.1... checking for gnunet/gnunet_util_lib.h... no
configure: error: gnunet-fuse requires GNUnet
phase `configure' failed after 3.7 seconds
builder for `/gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv' failed with exit code 1
@ build-failed /gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv - 1 builder for `/gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv' failed
Cannot open display "default display"
derivation '/gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv' offloaded to '192.168.1.198' failed with exit code 1
@ build-failed /gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv - 1 builder for `/gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv' failed with exit code 100
guix build: error: build failed: build of `/gnu/store/ksqg4yyrm1y7m5xgzk3f5mdigbh0ha8p-gnunet-fuse-0.10.0.drv' failed
TagsNo tags attached.

Activities

ng0

2016-09-19 18:30

reporter   ~0011127

Or at least it does not picks up gnunet, fuse seems to be alrght.

ng0

2016-09-19 18:37

reporter   ~0011128

Amatus said this is abandoned, can be closed.

ng0

2016-09-20 15:09

reporter   ~0011129

Why was it abandoned? Are the features merged into gnunet core collection? Lack of time?

Christian Grothoff

2016-09-20 16:50

manager   ~0011131

It's not abandoned. Last time I tried, it did compile.

Christian Grothoff

2016-09-20 16:52

manager   ~0011132

Just tested, on my Debian system it compiles just fine.

Make sure to pass --with-gnunet=/prefix/to/gnunet and to have fuse.h installed.

I worry about the warning you get with respect to fuse.h.

If you attach config.log, I might be able to say more about what is going wrong.

ng0

2016-09-24 10:46

reporter   ~0011144

> Just tested, on my Debian system it compiles just fine.

Which generation of gnunet and gnunet-fuse did you use?

> Make sure to pass --with-gnunet=/prefix/to/gnunet and to have fuse.h installed.

I have passed --with-gnunet the same way I did in gnunet-gtk. I don't know about fuse though, having pkg-config available and fuse-2.9.6 in the inputs I thought would be enough for it to be picked up.

> I worry about the warning you get with respect to fuse.h.
>
> If you attach config.log, I might be able to say more about what is going wrong.

Okay, I'll attach it next time I come to work on this branch.

Christian Grothoff

2016-09-24 22:35

manager   ~0011146

Matching versions (SVN HEAD vs. SVN HEAD, 0.10.1 vs. 0.10.1) are expected to work. Everything else likely does not.

Christian Grothoff

2016-09-24 22:35

manager   ~0011147

Moving on feedback as you need to let me know if the issue persists.

ng0

2016-10-02 22:05

reporter   ~0011229

I think that's the problem here. gnunet in the branch is 0.10.1 while the last version I could find of gnunet-fuse was 0.10.0, dated 2013-12-22.
I'll try head of gnunet-fuse when I have time and check out if it works there.

ng0

2017-02-17 21:55

reporter   ~0011776

I'm now trying to solve this with Guix. There might be an related issue, I'll update once I know more.

Christian Grothoff

2018-06-07 23:20

manager   ~0013022

I compiled gnunet-fuse from source just fine for 0.11.0pre66. Hence closing, if this is an open issue it should be filed against Guix.

Issue History

Date Modified Username Field Change
2016-09-19 18:28 ng0 New Issue
2016-09-19 18:30 ng0 Note Added: 0011127
2016-09-19 18:37 ng0 Note Added: 0011128
2016-09-20 15:09 ng0 Note Added: 0011129
2016-09-20 16:50 Christian Grothoff Note Added: 0011131
2016-09-20 16:52 Christian Grothoff Note Added: 0011132
2016-09-20 16:53 Christian Grothoff Assigned To => Christian Grothoff
2016-09-20 16:53 Christian Grothoff Status new => feedback
2016-09-24 10:46 ng0 Note Added: 0011144
2016-09-24 10:46 ng0 Status feedback => assigned
2016-09-24 22:35 Christian Grothoff Note Added: 0011146
2016-09-24 22:35 Christian Grothoff Note Added: 0011147
2016-09-24 22:35 Christian Grothoff Status assigned => feedback
2016-10-02 22:05 ng0 Note Added: 0011229
2016-10-02 22:05 ng0 Status feedback => assigned
2016-10-07 00:39 Christian Grothoff Status assigned => feedback
2017-02-17 21:55 ng0 Note Added: 0011776
2017-02-17 21:55 ng0 Status feedback => assigned
2017-02-21 18:35 Christian Grothoff Assigned To Christian Grothoff =>
2017-02-21 18:35 Christian Grothoff Status assigned => feedback
2018-06-07 23:20 Christian Grothoff Note Added: 0013022
2018-06-07 23:20 Christian Grothoff Assigned To => Christian Grothoff
2018-06-07 23:20 Christian Grothoff Status feedback => closed
2018-06-07 23:20 Christian Grothoff Resolution open => fixed
2018-06-07 23:20 Christian Grothoff Fixed in Version => 0.11.0pre66